Convert SmoScore object into a music XML serialization

usage: `xdoc: XmlDocument = SmoToXml.convert(score)`

### Hierarchy

- SmoToXml

## Index

### Constructors

- constructor

### Methods

- attributes
- barline
- beamNote
- clef
- convert
- direction
- key
- lyric
- measure
- note
- pitch
- prettifyXml
- slur
- time
- transpose
- tupletTime

## Constructors

### constructor

- new SmoToXml(): SmoToXml

- #### Returns SmoToXml

## Methods

### Static attributes

- attributes(measureElement: Element, measure: SmoMeasure, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:815

  /score-partwise/part/measure/attributes

  #### Parameters

  - ##### measureElement: Element

  - ##### measure: SmoMeasure

  - ##### smoState: SmoState

  #### Returns void

### Static barline

- barline(measureElement: Element, smoState: SmoState, start: boolean): void

- - Defined in src/smo/mxml/smoToXml.ts:279

  /score-partwise/part/measure/barline

  #### Parameters

  - ##### measureElement: Element

  - ##### smoState: SmoState

  - ##### start: boolean

  #### Returns void

### Static beamNote

- beamNote(noteElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:432

  /score-partwise/measure/beam

  #### Parameters

  - ##### noteElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static clef

- clef(attributesElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:780

  /score-partwise/part/measure/attributes/clef

  #### Parameters

  - ##### attributesElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static convert

- convert(score: SmoScore): XMLDocument

- - Defined in src/smo/mxml/smoToXml.ts:87

  see usage

  #### Parameters

  - ##### score: SmoScore

  #### Returns XMLDocument

### Static direction

- direction(measureElement: Element, smoState: SmoState, beforeNote: boolean): void

- - Defined in src/smo/mxml/smoToXml.ts:489

  /score-partwise/measure/direction/direction-type

  #### Parameters

  - ##### measureElement: Element

  - ##### smoState: SmoState

  - ##### beforeNote: boolean

  #### Returns void

### Static key

- key(attributesElement: Element, measure: SmoMeasure, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:736

  /score-partwise/measure/attributes/key

  #### Parameters

  - ##### attributesElement: Element

  - ##### measure: SmoMeasure

  - ##### smoState: SmoState

  #### Returns void

### Static lyric

- lyric(noteElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:595

  /score-partwise/measure/note/lyric

  #### Parameters

  - ##### noteElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static measure

- measure(measureElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:227

  /score-partwise/part/measure

  #### Parameters

  - ##### measureElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static note

- note(measureElement: Element, measure: SmoMeasure, note: SmoNote, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:628

  /score-partwise/measure/note

  #### Parameters

  - ##### measureElement: Element

  - ##### measure: SmoMeasure

  - ##### note: SmoNote

  - ##### smoState: SmoState

  #### Returns void

### Static pitch

- pitch(pitch: Pitch, noteElement: Element): void

- - Defined in src/smo/mxml/smoToXml.ts:417

  /score-partwise/measure/note/pitch

  #### Parameters

  - ##### pitch: Pitch

  - ##### noteElement: Element

  #### Returns void

### Static prettifyXml

- prettifyXml(xmlDoc: XMLDocument): Document

- - Defined in src/smo/mxml/smoToXml.ts:201

  MuseScore doesn't like minified xml, so we pretty-print it.

  #### Parameters

  - ##### xmlDoc: XMLDocument

  #### Returns Document

### Static slur

- slur(notationsElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:325

  /score-partwise/part/measure/note/notations/slur

  #### Parameters

  - ##### notationsElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static time

- time(attributesElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:759

  /score-partwise/part/measure/attributes/time

  #### Parameters

  - ##### attributesElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static transpose

- transpose(attributesElement: Element, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:847

  /score-partwise/part/measure/attributes/transpose

  #### Parameters

  - ##### attributesElement: Element

  - ##### smoState: SmoState

  #### Returns void

### Static tupletTime

- tupletTime(noteElement: Element, tuplet: SmoTuplet, smoState: SmoState): void

- - Defined in src/smo/mxml/smoToXml.ts:388

  /score-partwise/measure/note/time-modification /score-partwise/measure/note/tuplet

  #### Parameters

  - ##### noteElement: Element

  - ##### tuplet: SmoTuplet

  - ##### smoState: SmoState

  #### Returns void

Generated using TypeDoc